## plasma-desktop 5.5.5

=== CMakeLists.txt ===
project(plasma-desktop)
set(PROJECT_VERSION "5.5.5")
set(PROJECT_VERSION_MAJOR 5)

cmake_minimum_required(VERSION 2.8.12 FATAL_ERROR)
set(QT_MIN_VERSION "5.5.0")

find_package(ECM 0.0.11 REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR} ${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules)

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings)
include(ECMInstallIcons)
include(ECMMarkAsTest)
include(ECMMarkNonGuiExecutable)
include(ECMOptionalAddSubdirectory)
include(FeatureSummary)
include(CheckIncludeFiles)

find_package(Qt5 ${QT_MIN_VERSION} CONFIG REQUIRED COMPONENTS
    Quick
    QuickWidgets
    DBus
    Widgets
    X11Extras
    Svg
    Concurrent
)

set(KF5_MIN_VERSION "5.12.0")
find_package(KF5 ${KF5_MIN_VERSION} REQUIRED COMPONENTS
    Auth
    Plasma
    PlasmaQuick
    DocTools
    I18n
    KCMUtils
    NewStuff
    KDELibs4Support
    Notifications
    NotifyConfig
    Attica
    Wallet
    Runner
    GlobalAccel
    Declarative
    People
    DBusAddons
)

find_package(LibKWorkspace CONFIG REQUIRED)
find_package(LibTaskManager CONFIG REQUIRED)
find_package(KWinDBusInterface CONFIG REQUIRED)
find_package(ScreenSaverDBusInterface CONFIG REQUIRED)
find_package(KRunnerAppDBusInterface CONFIG REQUIRED)
find_package(KSMServerDBusInterface CONFIG REQUIRED)
find_package(KF5ItemModels CONFIG REQUIRED)
find_package(KF5Emoticons CONFIG REQUIRED)
find_package(PackageKitQt5 0.9)
set_package_properties(PackageKitQt5 PROPERTIES DESCRIPTION "Software Manager integration"
                       TYPE OPTIONAL
                       PURPOSE "Provides package management integration to the application launcher."
                      )

find_package(KF5Activities ${KF5_VERSION})
set_package_properties(KF5Activities PROPERTIES DESCRIPTION "management of Plasma activities"
                       TYPE OPTIONAL
                       PURPOSE "Needed by activity related plasmoids and the pager."
                      )

# Baloo is currently part of the KF5 namespace, but it is not
# a proper framework. Hence the strange versioning.
# This will be fixed with Plasma 5.2, as Baloo should have
# become a framework by then
find_package(KF5Baloo "5.1.90")
set_package_properties(KF5Baloo PROPERTIES DESCRIPTION "File Searching"
                       TYPE REQUIRED
                       PURPOSE "Needed to build to File Search KCM"
                      )

find_package(Fontconfig)
set_package_properties(Fontconfig PROPERTIES DESCRIPTION "Font access configuration library"
                       URL "http://www.freedesktop.org/wiki/Software/fontconfig"
                       TYPE OPTIONAL
                       PURPOSE "Needed to build font configuration and installation tools"
                      )

find_package(X11)
set_package_properties(X11 PROPERTIES DESCRIPTION "X11 libraries"
                        URL "http://www.x.org"
                        TYPE REQUIRED
                        PURPOSE "Required for building the X11 based workspace"
                      )

find_package(UDev)
set_package_properties(UDev PROPERTIES DESCRIPTION "UDev library"
                        URL "http://www.kernel.org/pub/linux/utils/kernel/hotplug/udev.html"
                        TYPE OPTIONAL
                        PURPOSE "Required for device discovery in keyboard daemon"
                      )

find_package(XCB
    REQUIRED COMPONENTS
        XCB SHM IMAGE
    OPTIONAL_COMPONENTS
        XKB XINPUT
)
set_package_properties(XCB PROPERTIES TYPE REQUIRED)
add_feature_info("XCB-XKB" XCB_XKB_FOUND "Required for building kcm/keyboard")
add_feature_info("libxft" X11_Xft_FOUND "X FreeType interface library required for font installation")

find_package(Evdev)
set_package_properties(Evdev PROPERTIES TYPE OPTIONAL)
add_feature_info("Evdev" EVDEV_FOUND "Evdev driver headers needed for input KCM")

find_package(Synaptics)
set_package_properties(Synaptics PROPERTIES TYPE OPTIONAL)
add_feature_info("Synaptics" SYNAPTICS_FOUND "Synaptics libraries needed for touchpad KCM")
include(ConfigureChecks.cmake)

if(${Qt5Gui_OPENGL_IMPLEMENTATION} STREQUAL "GL")
    find_package(OpenGL)
    set_package_properties(OpenGL PROPERTIES DESCRIPTION "The OpenGL libraries"
                        URL "http://www.opengl.org"
                        TYPE REQUIRED
                        )
else()
    find_package(OpenGLES)
    set_package_properties(OpenGLES PROPERTIES DESCRIPTION "The OpenGLES libraries"
                        URL "http://www.khronos.org/opengles"
                        TYPE REQUIRED
                        )
endif()

include_directories("${CMAKE_CURRENT_BINARY_DIR}")

configure_file(config-workspace.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-workspace.h)
configure_file(config-unix.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-unix.h )
configure_file(config-X11.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-X11.h)
configure_file(config-runtime.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-runtime.h)

plasma_install_package(desktoppackage org.kde.plasma.desktop shells shell)

plasma_install_package(layout-templates/org.kde.plasma.desktop.defaultPanel org.kde.plasma.desktop.defaultPanel layout-templates layout-template)

add_subdirectory(doc)

# Temporary inclusion of kactivities-stats library to the repository
# until it matures enough to go to kactivities framework
add_subdirectory(lib/kactivities-stats)

# add_subdirectory(runners)
add_subdirectory(containments)
add_subdirectory(toolboxes)
add_subdirectory(applets)
add_subdirectory(kcms)
add_subdirectory(knetattach)
add_subdirectory(attica-kde)
add_subdirectory(imports/activitymanager/)
add_subdirectory(solid-device-automounter)
if(X11_Xkb_FOUND AND XCB_XKB_FOUND)
    add_subdirectory(kaccess)
endif()
feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)

find_package(KF5I18n CONFIG REQUIRED)
ki18n_install(po)

=== applets/CMakeLists.txt ===
add_subdirectory(kicker)
add_subdirectory(kickoff)
add_subdirectory(trash)

# tasks and windowlist depend on libs/taskmanager
add_subdirectory(taskmanager)
add_subdirectory(icontasks)
plasma_install_package(window-list org.kde.plasma.windowlist)

if(KF5Activities_FOUND)
   add_subdirectory(pager)
   add_subdirectory(showActivityManager)
endif()

=== attica-kde/kdeplugin/CMakeLists.txt ===
################# KDE PLUGIN for LibAttica #################
add_definitions(-DTRANSLATION_DOMAIN=\"attica_kde\")

set(attica_kde_SRCS
    kdeplatformdependent.cpp
    attica_plugin_debug.cpp
)

add_library(attica_kde MODULE ${attica_kde_SRCS})
target_link_libraries(attica_kde KF5::KIOWidgets Qt5::Widgets KF5::KCMUtils KF5::Attica KF5::Wallet KF5::I18n )
install(TARGETS attica_kde DESTINATION ${PLUGIN_INSTALL_DIR})

=== imports/activitymanager/CMakeLists.txt ===
find_package (ECM 0.0.8 REQUIRED NO_MODULE)
set (CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${ECM_MODULE_PATH})

find_package (Qt5 REQUIRED NO_MODULE COMPONENTS Widgets Qml X11Extras)
find_package (KF5I18n         ${KF5_DEP_VERSION} CONFIG REQUIRED)
find_package (KF5Config       ${KF5_DEP_VERSION} CONFIG REQUIRED)
find_package (KF5CoreAddons   ${KF5_DEP_VERSION} CONFIG REQUIRED)
find_package (KF5GlobalAccel  ${KF5_DEP_VERSION} CONFIG REQUIRED)
find_package (KF5GuiAddons    ${KF5_DEP_VERSION} CONFIG REQUIRED)
find_package (KF5KIO          ${KF5_DEP_VERSION} CONFIG REQUIRED)
find_package (KF5Activities   ${KF5_DEP_VERSION} CONFIG REQUIRED)

find_package (X11)
set_package_properties (
   X11 PROPERTIES DESCRIPTION "X11 libraries"
   URL "http://www.x.org"
   TYPE REQUIRED
   )

set (
   activityswitcher_imports_LIB_SRCS
   activityswitcherextensionplugin.cpp
   switcherbackend.cpp
   )

add_library (activityswitcherextensionplugin SHARED ${activityswitcher_imports_LIB_SRCS})

target_link_libraries (
   activityswitcherextensionplugin

   Qt5::Core
   Qt5::Qml
   Qt5::Widgets
   Qt5::X11Extras

   KF5::I18n
   KF5::Activities
   KF5::ConfigCore
   KF5::CoreAddons
   KF5::GlobalAccel
   KF5::GuiAddons
   KF5::KIOCore
   KF5::KIOWidgets
   ${X11_X11_LIB}
   )

## install

install (TARGETS activityswitcherextensionplugin
         DESTINATION ${QML_INSTALL_DIR}/org/kde/plasma/activityswitcher)
install (FILES qmldir
         DESTINATION ${QML_INSTALL_DIR}/org/kde/plasma/activityswitcher)

=== kcms/baloo/CMakeLists.txt ===
add_definitions(-DTRANSLATION_DOMAIN=\"kcm_baloofile\")

set(kcm_file_SRCS
  kcm.cpp
  fileexcludefilters.cpp
  folderselectionwidget.cpp
)

ki18n_wrap_ui(kcm_file_SRCS
  configwidget.ui
)

add_library(kcm_baloofile MODULE ${kcm_file_SRCS})

target_link_libraries(kcm_baloofile
  KF5::KIOWidgets
  KF5::CoreAddons
  KF5::KCMUtils
  KF5::I18n
  KF5::Solid
  KF5::Baloo

  Qt5::DBus
  Qt5::Widgets
)


install(FILES kcm_baloofile.desktop DESTINATION ${SERVICES_INSTALL_DIR})
install(TARGETS kcm_baloofile DESTINATION ${PLUGIN_INSTALL_DIR})

=== kcms/desktoptheme/CMakeLists.txt ===
# KI18N Translation Domain for this library
add_definitions(-DTRANSLATION_DOMAIN=\"kcm_desktopthemedetails\")


set(kcmdesktoptheme_SRCS kcmdesktoptheme.cpp desktopthemedetails.cpp thememodel.cpp kcm_desktoptheme_debug.cpp)
ki18n_wrap_ui(kcmdesktoptheme_SRCS DesktopTheme.ui DesktopThemeDetails.ui)

add_library(kcm_desktoptheme MODULE ${kcmdesktoptheme_SRCS})
target_link_libraries(kcm_desktoptheme ${X11_LIBRARIES}
    KF5::Archive
    KF5::KCMUtils
    KF5::I18n
    KF5::Parts
    KF5::Plasma
    KF5::KIOCore
    KF5::KIOWidgets
    KF5::NewStuff
    KF5::KDELibs4Support
)

kcoreaddons_desktop_to_json(kcm_desktoptheme desktoptheme.desktop)

install(TARGETS kcm_desktoptheme DESTINATION ${PLUGIN_INSTALL_DIR} )
install( FILES plasma-themes.knsrc  DESTINATION  ${CONFIG_INSTALL_DIR} )

########### install files ###############
install( FILES desktoptheme.desktop  DESTINATION  ${SERVICES_INSTALL_DIR} )

=== kcms/emoticons/CMakeLists.txt ===
# KI18N Translation Domain for this library
add_definitions(-DTRANSLATION_DOMAIN=\"kcm_emoticons\")

set(kcmemoticons_SRCS emoticonslist.cpp)
ki18n_wrap_ui(kcmemoticons_SRCS emoticonslist.ui)

add_library(kcm_emoticons MODULE ${kcmemoticons_SRCS})
target_link_libraries(kcm_emoticons
                      KF5::NewStuff
                      KF5::KDELibs4Support
                      KF5::Emoticons)

install(TARGETS kcm_emoticons  DESTINATION ${PLUGIN_INSTALL_DIR} )

########### install files ###############
install( FILES emoticons.desktop  DESTINATION  ${SERVICES_INSTALL_DIR} )
install( FILES emoticons.knsrc  DESTINATION  ${CONFIG_INSTALL_DIR} )

=== kcms/icons/CMakeLists.txt ===
# KI18N Translation Domain for this library
add_definitions(-DTRANSLATION_DOMAIN=\"kcmicons\")

add_subdirectory(tests)

########### next target ###############

set(kcm_icons_PART_SRCS iconthemes.cpp icons.cpp main.cpp )

add_library(kcm_icons MODULE ${kcm_icons_PART_SRCS})

target_link_libraries(kcm_icons
    Qt5::Widgets
    Qt5::Svg
    KF5::KCMUtils
    KF5::I18n
    KF5::IconThemes
    KF5::Archive
    KF5::NewStuff
    KF5::KIOWidgets
    KF5::KDELibs4Support
    ${X11_LIBRARIES}
)

if(X11_FOUND)
    target_link_libraries(kcm_icons Qt5::X11Extras)
endif()

install(TARGETS kcm_icons  DESTINATION ${PLUGIN_INSTALL_DIR} )

########### install files ###############

install( FILES icons.desktop  DESTINATION  ${SERVICES_INSTALL_DIR} )
install( FILES icons.knsrc  DESTINATION  ${CONFIG_INSTALL_DIR} )

=== kcms/keyboard/CMakeLists.txt ===
add_definitions(-DTRANSLATION_DOMAIN=\"kcmkeyboard\")

option(HAVE_XINPUT "X11/XCB XInput" OFF)
option(HAVE_UDEV "UDev" OFF)
option(NEW_GEOMETRY "Keyboard geometry preview" OFF)

if (X11_Xinput_FOUND AND XCB_XINPUT_FOUND)
    set(HAVE_XINPUT ON)
elseif (UDEV_FOUND)
    set(HAVE_UDEV ON)
else()
    message(STATUS "X11/XCB XInput and UDev is not found, either is required to keep layouts with keyboard hotplugging")
endif()


### kded daemon ###

set( kded_keyboard_SRCS
    keyboard_daemon.cpp
    layout_memory.cpp
    layout_memory_persister.cpp
    udev_helper.cpp
    x11_helper.cpp
    xinput_helper.cpp
    xkb_helper.cpp
    keyboard_config.cpp
    keyboard_hardware.cpp
    bindings.cpp
# next are temporary for sys tray UI
    layout_tray_icon.cpp
    layouts_menu.cpp
    flags.cpp
    xkb_rules.cpp
)

include_directories(${CMAKE_CURRENT_BINARY_DIR})
add_library(kded_keyboard MODULE ${kded_keyboard_SRCS})
set_target_properties(kded_keyboard PROPERTIES OUTPUT_NAME keyboard)
kcoreaddons_desktop_to_json(kded_keyboard keyboard.desktop)

target_link_libraries(kded_keyboard
    Qt5::Concurrent
    Qt5::Widgets
    Qt5::X11Extras
    Qt5::Xml
    KF5::ConfigCore
    KF5::CoreAddons
    KF5::DBusAddons
    KF5::GlobalAccel
    KF5::I18n
    KF5::Notifications
    KF5::Service
    KF5::WindowSystem
    KF5::Plasma
    KF5::XmlGui
    KF5::GuiAddons
    KF5::IconThemes
    XCB::XCB
    XCB::XKB
    ${X11_LIBRARIES}
    ${X11_Xkbfile_LIB}
 )

if (HAVE_XINPUT)
    target_link_libraries(kded_keyboard ${X11_Xinput_LIB})
endif()

if (HAVE_UDEV)
    target_link_libraries(kded_keyboard ${UDEV_LIBS})
endif()

install( TARGETS kded_keyboard DESTINATION ${PLUGIN_INSTALL_DIR}/kf5/kded )

### kcm keyboard ###
include_directories("preview")

find_package(Boost)

if(Boost_FOUND)
  set(NEW_GEOMETRY ON)

  set(preview_SRCS
    preview/geometry_components.cpp
    preview/geometry_parser.cpp
    preview/kbpreviewframe.cpp
    preview/keyboardlayout.cpp
    preview/symbol_parser.cpp
    preview/keyaliases.cpp
    preview/keyboardlayout.cpp
    preview/keyboardpainter.cpp
    preview/keysymhelper.cpp
    preview/keysym2ucs.cpp
    )

   set_source_files_properties(preview/geometry_parser.cpp preview/symbol_parser.cpp PROPERTIES COMPILE_FLAGS "-fexceptions")
   if ("${CMAKE_CXX_COMPILER_ID}" STREQUAL "Clang")
      # the default maximum template expansion depth (256) is not enough
      set_property(SOURCE preview/geometry_parser.cpp APPEND_STRING PROPERTY COMPILE_FLAGS " -ftemplate-depth=512")
   endif()
else(Boost_FOUND)

  message("Boost not found, install Boost libraries to enable keyboard geometry preview")

endif(Boost_FOUND)


set(kcm_keyboard_PART_SRCS
  kcm_keyboard.cpp
  kcm_keyboard_widget.cpp
  kcm_view_models.cpp
  kcm_add_layout_dialog.cpp
  keyboard_config.cpp
  x11_helper.cpp
  xkb_helper.cpp
  xkb_rules.cpp
  flags.cpp
  iso_codes.cpp
  kcmmisc.cpp
  bindings.cpp
  ${preview_SRCS} )

ki18n_wrap_ui(kcm_keyboard_PART_SRCS kcm_keyboard.ui kcm_add_layout_dialog.ui kcmmiscwidget.ui)

add_library(kcm_keyboard MODULE ${kcm_keyboard_PART_SRCS})

target_link_libraries(kcm_keyboard
    Qt5::Concurrent
    Qt5::Widgets
    Qt5::X11Extras
    Qt5::Xml
    KF5::KCMUtils
    KF5::GlobalAccel
    KF5::I18n
    KF5::KIOCore
    KF5::KIOWidgets
    KF5::WindowSystem
    KF5::Plasma
    KF5::XmlGui
    KF5::GuiAddons
    KF5::IconThemes
    XCB::XCB
    XCB::XKB
    ${X11_Xkbfile_LIB}
    ${X11_LIBRARIES}
    ${text_paint_LIB}
)

install(TARGETS kcm_keyboard DESTINATION ${PLUGIN_INSTALL_DIR} )

install( FILES kcm_keyboard.desktop DESTINATION ${SERVICES_INSTALL_DIR} )

# Images

add_subdirectory( pics )

configure_file(config-keyboard.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-keyboard.h)

# Unit tests
if(BUILD_TESTING)
    find_package(Qt5Test ${QT_MIN_VERSION} CONFIG REQUIRED)
    add_subdirectory( tests )
endif()

=== kcms/kfontinst/CMakeLists.txt ===
if (KFI_BUILD_STANDALONE)
    cmake_minimum_required(VERSION 2.6.4)
    find_package(KDE4 "4.6.0" REQUIRED)
    find_package(Qt4 REQUIRED)
    find_package(Freetype REQUIRED)
    find_package(Fontconfig REQUIRED)
    find_package(Strigi REQUIRED)
    find_package(X11 REQUIRED)
    macro_log_feature(X11_Xft_FOUND "libxft" "X FreeType interface library" "http://www.x.org" FALSE "" "Font installer and font previews")
    include(KDE4Defaults)
endif ()

# KI18N Translation Domain for this library
add_definitions(-DTRANSLATION_DOMAIN=\"kfontinst\")

if (X11_Xft_FOUND)
    check_include_files(locale.h HAVE_LOCALE_H)
    configure_file(config-fontinst.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-fontinst.h)
    include_directories(
        ${FREETYPE_INCLUDE_DIRS}
        ${FONTCONFIG_INCLUDE_DIR}
        ${CMAKE_CURRENT_SOURCE_DIR}
        ${CMAKE_CURRENT_BINARY_DIR}
        ${CMAKE_CURRENT_SOURCE_DIR}/lib
        ${CMAKE_CURRENT_BINARY_DIR}/lib
        ${CMAKE_CURRENT_SOURCE_DIR}/dbus
        ${CMAKE_CURRENT_BINARY_DIR}/dbus
        ${CMAKE_CURRENT_SOURCE_DIR}/viewpart
        ${CMAKE_CURRENT_SOURCE_DIR}/kcmfontinst
        ${CMAKE_CURRENT_BINARY_DIR}/kcmfontinst)
    add_definitions(${QT_DEFINITIONS} ${KDE4_DEFINITIONS})

    set(libkfontinstdbusiface_SRCS ${CMAKE_CURRENT_SOURCE_DIR}/dbus/FontinstIface.cpp)
    set(libkfontinstview_SRCS ${CMAKE_CURRENT_SOURCE_DIR}/viewpart/FontPreview.cpp
                              ${CMAKE_CURRENT_SOURCE_DIR}/viewpart/PreviewSelectAction.cpp
                              ${CMAKE_CURRENT_SOURCE_DIR}/viewpart/CharTip.cpp )
    set(libkfontinstactionlabel_SRCS ${CMAKE_CURRENT_SOURCE_DIR}/kcmfontinst/ActionLabel.cpp)
    set(libkfontinstjobrunner_SRCS ${CMAKE_CURRENT_SOURCE_DIR}/kcmfontinst/JobRunner.cpp
                                   ${libkfontinstactionlabel_SRCS}
                                   ${CMAKE_CURRENT_SOURCE_DIR}/kcmfontinst/FontsPackage.cpp)

    add_subdirectory( lib ) 
    add_subdirectory( dbus )
    add_subdirectory( kcmfontinst ) 
    add_subdirectory( apps )
    add_subdirectory( kio ) 
    add_subdirectory( thumbnail )
    add_subdirectory( viewpart )

    ecm_install_icons( ICONS hisc-apps-preferences-desktop-font-installer.svgz DESTINATION ${ICON_INSTALL_DIR} )

endif ()

=== kcms/ksplash/CMakeLists.txt ===
# KI18N Translation Domain for this library
add_definitions(-DTRANSLATION_DOMAIN=\"kcm_splashscreen\")

set(kcm_splashscreen_SRCS
  kcm.cpp
)

add_library(kcm_splashscreen MODULE ${kcm_splashscreen_SRCS})

target_link_libraries(kcm_splashscreen
  KF5::KIOWidgets
  KF5::CoreAddons
  KF5::QuickAddons
  KF5::I18n
  KF5::Plasma
  KF5::PlasmaQuick

  Qt5::DBus
  Qt5::Widgets
  Qt5::QuickWidgets
)

kcoreaddons_desktop_to_json(kcm_splashscreen "kcm_splashscreen.desktop")

#this desktop file is installed only for retrocompatibility with sycoca
install(FILES kcm_splashscreen.desktop DESTINATION ${SERVICES_INSTALL_DIR})
install(TARGETS kcm_splashscreen DESTINATION ${PLUGIN_INSTALL_DIR}/kcms)

kpackage_install_package(package kcm_splashscreen kcms)

=== kcms/useraccount/CMakeLists.txt ===
add_definitions(-DTRANSLATION_DOMAIN=\"useraccount\")

add_subdirectory(pics)

set(kcm_useraccount_PART_SRCS
    main.cpp
    chfacedlg.cpp)

ki18n_wrap_ui(kcm_useraccount_PART_SRCS
    main_widget.ui
    faceDlg.ui)

kconfig_add_kcfg_files(kcm_useraccount_PART_SRCS settings.kcfgc)

add_library(kcm_useraccount MODULE ${kcm_useraccount_PART_SRCS})

target_include_directories(kcm_useraccount PUBLIC "$<BUILD_INTERFACE:${Kdepasswd_BINARY_DIR}>")

target_link_libraries(kcm_useraccount
    KF5::KDELibs4Support
    KF5::KIOWidgets
)

install(TARGETS kcm_useraccount DESTINATION ${PLUGIN_INSTALL_DIR})
install(FILES kcm_useraccount.desktop DESTINATION  ${SERVICES_INSTALL_DIR})

=== debian/changelog ===
plasma-desktop (4:5.5.5-0ubuntu1) xenial; urgency=medium

  * New upstream bugfix release

 -- Philip Muškovac <yofel@kubuntu.org>  Thu, 14 Apr 2016 13:53:31 -0700

plasma-desktop (4:5.5.4-0ubuntu1) xenial; urgency=medium

  [ Scarlett Clark ]
  * New upstream release Xenial

  [ Philip Muškovac ]
  * plasma-desktop-data breaks/replaces kde-l10n:all << 4:15.08.3-0ubuntu2~
  * Build-depend on pkg-kde-tools >= 0.15.18 for l10n-packages.mk support
  * Rename the pam-kwallet recommends to libpam-kwallet as the packages were
    renamed
  * Cherry pick upstream_fix_panel_shrinking.diff from git
  * Build-depend on libpackagekitqt5-dev

  [ Scarlett Clark ]
  * Debian merge, No remaining changes. 
  * New dependenciy kscreenlocker. 
  * Fix syntax. 

  [ Clive Johnston ]
  * New upstream release
  * Removing patch upstream_fix_panel_shrinking.diff as it is now fixed in 5.5.4

 -- Clive Johnston <clivejo@aol.com>  Mon, 07 Mar 2016 21:27:15 +0100

plasma-desktop (4:5.4.3-2) UNRELEASED; urgency=medium

  [ Dmitry Shachnev ]
  * Stop depending on qtdeclarative5-kf5declarative transitional package.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Tue, 12 Jan 2016 17:02:08 +0300

plasma-desktop (4:5.4.3-1) unstable; urgency=medium

  * New upstream release (5.4.3).

 -- Maximiliano Curia <maxy@debian.org>  Tue, 01 Dec 2015 11:45:41 +0100

plasma-desktop (4:5.4.3-0ubuntu1) xenial; urgency=medium

  [ Scarlett Clark ]
  * New upstream bugfix release

  [ Philip Muškovac ]
  * New upstream bugfix release (LP: #1518598)

 -- Philip Muškovac <yofel@kubuntu.org>  Sun, 22 Nov 2015 16:41:31 +0100

plasma-desktop (4:5.4.2-1) unstable; urgency=medium

  [ Scott Kitterman ]
  * Add kio to plasma-desktop depends so I/O using widgets work (Closes:
    #798664)
  * Add qml-module-qt-labs-settings and qml-module-qt-labs-
    folderlistmodel to plasma-desktop Depends (Closes: #799575)
    - Thanks to Ralph Jung for the report

  [ Maximiliano Curia ]
  * New patch: allow_uxterm_overrides.diff (Closes: #797482) Thanks to
    Thorsten Glaser
  * New upstream release (5.4.2).

 -- Maximiliano Curia <maxy@debian.org>  Tue, 06 Oct 2015 07:51:52 +0200

plasma-desktop (4:5.4.1-1) unstable; urgency=medium

  * New upstream release (5.4.1).

 -- Maximiliano Curia <maxy@debian.org>  Wed, 09 Sep 2015 16:36:27 +0200

plasma-desktop (4:5.4.0-3) experimental; urgency=medium

  * Build with -gstabs instead of -g on mips and mipsel to work around

 -- Maximiliano Curia <maxy@debian.org>  Sat, 05 Sep 2015 19:32:33 +0200

plasma-desktop (4:5.4.0-2) unstable; urgency=medium

  * Force building against the experimental version of baloo.
    virtual memory exhaustion.

 -- Felix Geyer <fgeyer@debian.org>  Fri, 04 Sep 2015 21:07:53 +0200

plasma-desktop (4:5.4.0-1) unstable; urgency=medium

  * New upstream release (5.4.0).
  * Remove upstream patch: upstream-
    replace_license_reference_by_license_text
  * Remove upstream patch: upstream_add_missing_licenses

 -- Maximiliano Curia <maxy@debian.org>  Fri, 04 Sep 2015 09:49:23 +0200

plasma-desktop (4:5.3.2-2) unstable; urgency=high

  * Team upload.

  [ Maximiliano Curia ]
  * Add missing Breaks/Replaces. (Closes: #791891) Thanks to Andreas
    Beckman

  [ Felix Geyer ]
  * Make Breaks/Replaces against kde-touchpad and kde-config-touchpad
    versioned. (Closes: #793568)
    They are transitional packages now.

 -- Jeremy Lainé <jeremy.laine@m4x.org>  Sun, 26 Jul 2015 15:38:15 +0200

plasma-desktop (4:5.3.2-1) unstable; urgency=medium

  * New upstream release (5.3.0).
  * New upstream release (5.3.1).
  * New upstream release (5.3.2).
  * Update copyright information.
  * Add the missing Breaks/Replaces.
  * New upstream patch: upstream-
    replace_license_reference_by_license_text
  * New upstream approved patch (reviewboard
    https://git.reviewboard.kde.org/r/124290/):
    upstream_add_missing_licenses.

 -- Maximiliano Curia <maxy@debian.org>  Wed, 08 Jul 2015 22:33:00 +0200

=== debian/control ===
Source: plasma-desktop
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: baloo-kf5-dev (>= 5.13~),
               cmake (>= 2.8.12),
               debhelper (>= 9),
               extra-cmake-modules (>= 1.8.0~),
               kded5-dev (>= 5.12.0~),
               kdoctools-dev (>= 5.12.0~),
               kinit-dev,
               kio-dev,
               kscreenlocker-dev (>= 5.5.5~),
               kwin-dev (>= 4:5.5.5~),
               libboost-dev,
               libcanberra-dev,
               libfontconfig1-dev,
               libfreetype6-dev,
               libglib2.0-dev,
               libkf5activities-dev (>= 5.18.0~),
               libkf5attica-dev (>= 5.12.0~),
               libkf5auth-dev (>= 5.12.0~),
               libkf5config-dev,
               libkf5coreaddons-dev,
               libkf5dbusaddons-dev (>= 5.12.0~),
               libkf5declarative-dev (>= 5.12.0~),
               libkf5emoticons-dev,
               libkf5globalaccel-dev (>= 5.12.0~),
               libkf5guiaddons-dev,
               libkf5i18n-dev (>= 5.12.0~),
               libkf5itemmodels-dev,
               libkf5kcmutils-dev (>= 5.12.0~),
               libkf5kdelibs4support-dev (>= 5.12.0~),
               libkf5newstuff-dev (>= 5.12.0~),
               libkf5notifications-dev (>= 5.12.0~),
               libkf5notifyconfig-dev (>= 5.12.0~),
               libkf5people-dev (>= 5.12.0~),
               libkf5runner-dev (>= 5.12.0~),
               libkf5sysguard-dev (>= 4:5.5.5~),
               libkf5wallet-dev (>= 5.12.0~),
               libpackagekitqt5-dev,
               libphonon4qt5-dev (>= 4.6.60),
               libphonon4qt5experimental-dev,
               libpulse-dev (>= 0.9.16),
               libqt5svg5-dev (>= 5.4.0~),
               libqt5x11extras5-dev (>= 5.4.0~),
               libudev-dev,
               libusb-dev,
               libx11-dev,
               libxapian-dev,
               libxcb-image0-dev,
               libxcb-record0-dev,
               libxcb-shm0-dev,
               libxcb-xkb-dev,
               libxcb1-dev,
               libxcursor-dev,
               libxft-dev,
               libxi-dev,
               libxkbfile-dev,
               openbox,
               pkg-kde-tools (>= 0.15.18~),
               plasma-framework-dev (>= 5.12.0~),
               plasma-workspace-dev (>= 4:5.5.5~),
               qtbase5-dev (>= 5.4.0~),
               qtdeclarative5-dev (>= 5.4.0~),
               xauth,
               xserver-xorg-dev,
               xserver-xorg-input-evdev-dev,
               xserver-xorg-input-synaptics-dev,
               xvfb
Standards-Version: 3.9.6
Homepage: https://projects.kde.org/projects/kde/workspace/plasma-desktop
Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/plasma/plasma-desktop.git
Vcs-Git: git://anonscm.debian.org/pkg-kde/plasma/plasma-desktop.git

Package: plasma-desktop-dev
Section: devel
Architecture: any
Depends: libkfontinst5 (= ${binary:Version}),
         libkfontinstui5 (= ${binary:Version}),
         plasma-desktop (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Breaks: kde-config-touchpad (<< 4:5), kde-touchpad (<< 5.1.95~)
Replaces: kde-config-touchpad (<< 4:5), kde-touchpad (<< 5.1.95~)
Description: Tools and widgets for the desktop
 Plasma Desktop offers a beautiful looking desktop
 that takes complete advantage of modern computing technology.
 Through the use of visual effects and scalable graphics,
 the desktop experience is not only smooth but also pleasant
 to the eye. The looks of Plasma Desktop not only provide beauty,
 they are also used to support and improve your computer
 activities effectively, without being distracting.
 .
 This package is part of the KDE Plasma.

Package: plasma-desktop
Architecture: any
Depends: baloo-kf5,
         breeze,
         kactivities,
         kde-cli-tools,
         kded5,
         kio,
         oxygen-sounds,
         plasma-desktop-data (= ${source:Version}),
         plasma-framework,
         plasma-workspace,
         polkit-kde-agent-1,
         qml-module-org-kde-draganddrop,
         qml-module-org-kde-kcoreaddons,
         qml-module-org-kde-kquickcontrols,
         qml-module-org-kde-kquickcontrolsaddons,
         qml-module-org-kde-kwindowsystem,
         qml-module-org-kde-solid,
         qml-module-qt-labs-folderlistmodel,
         qml-module-qt-labs-settings,
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: bluedevil,
            discover | muon-discover,
            fonts-noto,
            fonts-oxygen,
            kde-config-gtk-style,
            kde-config-screenlocker,
            kde-config-sddm,
            kde-style-oxygen-qt5,
            kgamma5,
            khelpcenter,
            khotkeys,
            kinfocenter,
            kio-extras,
            kmenuedit,
            kscreen,
            ksshaskpass,
            ksysguard,
            kwin,
            kwrited,
            muon-notifier,
            muon-updater,
            libpam-kwallet5,
            plasma-pa,
            powerdevil,
            sni-qt,
            systemsettings,
            user-manager
Breaks: baloo-kf5 (<< 5.5),
        kde-config-touchpad (<< 4:5),
        kde-touchpad (<< 5.1.95~),
        kde-workspace-bin,
        kde-workspace-data,
        plasma-desktop-data (<< 4:5.3.2-0ubuntu1~),
        plasma-desktop-dev (<< 4:5.0.2-0ubuntu1~ubuntu14.10~ppa8),
        plasma-widget-kimpanel
Replaces: baloo-kf5 (<< 5.5),
          kde-config-touchpad (<< 4:5),
          kde-touchpad (<< 5.1.95~),
          kde-workspace-bin,
          kde-workspace-data,
          plasma-desktop-data (<< 4:5.3.2-0ubuntu1~),
          plasma-desktop-dev (<< 4:5.0.2-0ubuntu1~ubuntu14.10~ppa8),
          plasma-widget-kimpanel
Conflicts: kde-workspace-bin
Description: Tools and widgets for the desktop
 Plasma Desktop offers a beautiful looking desktop
 that takes complete advantage of modern computing technology.
 Through the use of visual effects and scalable graphics,
 the desktop experience is not only smooth but also pleasant
 to the eye. The looks of Plasma Desktop not only provide beauty,
 they are also used to support and improve your computer
 activities effectively, without being distracting.
 .
 This package is part of the KDE Plasma.

Package: libkfontinst5
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Tools and widgets for the desktop library
 Plasma Desktop offers a beautiful looking desktop
 that takes complete advantage of modern computing technology.
 Through the use of visual effects and scalable graphics,
 the desktop experience is not only smooth but also pleasant
 to the eye. The looks of Plasma Desktop not only provide beauty,
 they are also used to support and improve your computer
 activities effectively, without being distracting.
 .
 This package is part of the KDE Plasma.

Package: libkfontinstui5
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Tools and widgets for the desktop library
 Plasma Desktop offers a beautiful looking desktop
 that takes complete advantage of modern computing technology.
 Through the use of visual effects and scalable graphics,
 the desktop experience is not only smooth but also pleasant
 to the eye. The looks of Plasma Desktop not only provide beauty,
 they are also used to support and improve your computer
 activities effectively, without being distracting.
 .
 This package is part of the KDE Plasma.

Package: libkf5activitiesexperimentalstats1
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Tools and widgets for the desktop library
 Plasma Desktop offers a beautiful looking desktop
 that takes complete advantage of modern computing technology.
 Through the use of visual effects and scalable graphics,
 the desktop experience is not only smooth but also pleasant
 to the eye. The looks of Plasma Desktop not only provide beauty,
 they are also used to support and improve your computer
 activities effectively, without being distracting.
 .
 This package is part of the KDE Plasma.

Package: plasma-desktop-data
Architecture: all
Depends: ${misc:Depends}
Recommends: plasma-framework,
            plasma-workspace,
            qml-module-org-kde-extensionplugin,
            qml-module-org-kde-kwindowsystem,
            qml-module-qtquick-dialogs
Breaks: baloo-kf5 (<< 5.5),
        kde-config-touchpad (<< 4:5),
        kde-touchpad (<< 5.1.95~),
        kde-workspace-bin,
        kde-workspace-data,
        plasma-desktop-dev (<< 4:5.0.2-0ubuntu1~ubuntu14.10~ppa8),
        ${kde-l10n:all}
Replaces: baloo-kf5 (<< 5.5),
          kde-config-touchpad (<< 4:5),
          kde-touchpad (<< 5.1.95~),
          kde-workspace-bin,
          kde-workspace-data,
          plasma-desktop-dev (<< 4:5.0.2-0ubuntu1~ubuntu14.10~ppa8),
          ${kde-l10n:all}
Description: Tools and widgets for the desktop data files
 Plasma Desktop offers a beautiful looking desktop
 that takes complete advantage of modern computing technology.
 Through the use of visual effects and scalable graphics,
 the desktop experience is not only smooth but also pleasant
 to the eye. The looks of Plasma Desktop not only provide beauty,
 they are also used to support and improve your computer
 activities effectively, without being distracting.
 .
 This package is part of the KDE Plasma.
 .
 This package contains the data files

Package: kde-touchpad
Architecture: any
Depends: plasma-desktop, ${misc:Depends}
Section: oldlibs
Priority: extra
Description: transitional dummy package
 This is a transitional dummy package. It can safely be removed.

Package: kde-config-touchpad
Depends: plasma-desktop, ${misc:Depends}
Architecture: all
Priority: extra
Section: oldlibs
Description: transitional dummy package
 This is a transitional dummy package. It can safely be removed.

Package: plasma-desktop-dbg
Section: debug
Priority: extra
Architecture: any
Recommends: qtbase5-dbg
Depends: plasma-desktop (= ${binary:Version}), ${misc:Depends}
Description: Tools and widgets for the desktop debug files
 Plasma Desktop offers a beautiful looking desktop
 that takes complete advantage of modern computing technology.
 Through the use of visual effects and scalable graphics,
 the desktop experience is not only smooth but also pleasant
 to the eye. The looks of Plasma Desktop not only provide beauty,
 they are also used to support and improve your computer
 activities effectively, without being distracting.
 .
 This package is part of the KDE Plasma.
 .
 This package contains the debugging symbols.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

l10npkgs_firstversion_ok := 4:15.08.3-0ubuntu2~

DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
ifneq (,$(filter $(DEB_HOST_ARCH), mips mipsel))
    export DEB_CFLAGS_MAINT_STRIP = -g
    export DEB_CXXFLAGS_MAINT_STRIP = -g
    export DEB_CFLAGS_MAINT_APPEND = -gstabs
    export DEB_CXXFLAGS_MAINT_APPEND = -gstabs
endif

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk
include /usr/share/pkg-kde-tools/qt-kde-team/2/l10n-packages.mk

override_dh_strip:
	$(overridden_command) --dbg-package=plasma-desktop-dbg

override_dh_auto_test:
	# Disable dh_auto_test, fourth test never ends
	# xvfb-run -a dh_auto_test
	:

=== debian/watch ===
version=3
http://download.kde.org/unstable/plasma/([\d\.]*)/plasma-desktop-(.*)\.tar\.xz
http://download.kde.org/stable/plasma/([\d\.]*)/plasma-desktop-(.*)\.tar\.xz

## plasma-desktop 5.7.5

=== debian/changelog ===
plasma-desktop (4:5.7.5-0ubuntu2) yakkety; urgency=medium

  * Update appstream files path.

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Fri, 30 Sep 2016 11:08:22 +0200

plasma-desktop (4:5.7.5-0ubuntu1) yakkety; urgency=medium

  * New upstream release (5.7.4)
  * New upstream release (5.7.5)

 -- Rik Mills <rik.mills88@gmail.com>  Tue, 20 Sep 2016 20:28:51 -0500

plasma-desktop (4:5.7.2-0ubuntu2) yakkety; urgency=medium

  * Remove muon-notifier/muon-updater dependencies.

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Mon, 08 Aug 2016 11:24:40 +0300

plasma-desktop (4:5.7.2-0ubuntu1) yakkety; urgency=medium

  [ Clive Johnston ]
  * New upstream release (5.7.1)
  * Adding new build dep libkf5activitiesstats-dev
  * Remove libkf5activitiesexperimentalstats1 as it has moved house
  * Add new file to plasma-desktop-data.install
  * New upstream release (5.7.2)

  [ Philip Muškovac ]
  * Build-depend on libxcb-keysyms1-dev

 -- Clive Johnston <clivejo@kubuntu.org>  Thu, 28 Jul 2016 12:07:29 +0000

plasma-desktop (4:5.6.5-0ubuntu1) yakkety; urgency=medium

  [ Rik Mills ]
  * Adding patch upstream_fix_kicker_recent_documents.diff which
    fixes opening recent docs on newer KF5. Fixes KDE-Bug:363337

  [ Clive Johnston ]
  * New upstream release (5.6.5)
  * Removing upstream patches

 -- Clive Johnston <clivejo@kubuntu.org>  Fri, 15 Jul 2016 20:49:30 +0100

plasma-desktop (4:5.6.4-0ubuntu1) yakkety; urgency=medium

  [ Clive Johnston ]
  * New upstream release
  * Remove build dep on kactivities as its been replaced
    kactivitymanagerd which libkf5activities depends upon
  * Break and conflict kactivities to avoid file conflict
  * Break and conflict plasma-widgets-addons
    - kimpanel stuff has been moved to here
  * Add build deps on libibus-1.0-dev and scim-dev
  * Pull in Breeze GTK as its default GTK theme
  * Adding libibus-1.0-dev as build dep

  [ Philip Muškovac ]
  * Update the Vcs URLs now that the repositories are hosted on
    Launchpad

  [ Clive Johnston ]
  * New upstream release (5.6.4)
  * Pointing to the correct patched kde-l10n in rules file

 -- Clive Johnston <clivejo@kubuntu.org>  Wed, 18 May 2016 13:23:47 -0700

=== debian/control ===
--- 
+++ 
@@ -3,53 +3,56 @@
 Priority: optional
 Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Maximiliano Curia <maxy@debian.org>
-Build-Depends: baloo-kf5-dev (>= 5.13~),
+Build-Depends: baloo-kf5-dev (>= 5.24.0~),
                cmake (>= 2.8.12),
                debhelper (>= 9),
-               extra-cmake-modules (>= 1.8.0~),
-               kded5-dev (>= 5.12.0~),
-               kdoctools-dev (>= 5.12.0~),
-               kinit-dev,
-               kio-dev,
-               kscreenlocker-dev (>= 5.5.5~),
-               kwin-dev (>= 4:5.5.5~),
+               extra-cmake-modules (>= 5.24.0~),
+               kded5-dev (>= 5.24.0~),
+               kdoctools-dev (>= 5.24.0~),
+               kinit-dev (>= 5.24.0~),
+               kio-dev (>= 5.24.0~),
+               kscreenlocker-dev (>= 5.7.5~),
+               kwin-dev (>= 4:5.7.5~),
                libboost-dev,
                libcanberra-dev,
                libfontconfig1-dev,
                libfreetype6-dev,
                libglib2.0-dev,
-               libkf5activities-dev (>= 5.18.0~),
-               libkf5attica-dev (>= 5.12.0~),
-               libkf5auth-dev (>= 5.12.0~),
-               libkf5config-dev,
-               libkf5coreaddons-dev,
-               libkf5dbusaddons-dev (>= 5.12.0~),
-               libkf5declarative-dev (>= 5.12.0~),
-               libkf5emoticons-dev,
-               libkf5globalaccel-dev (>= 5.12.0~),
-               libkf5guiaddons-dev,
-               libkf5i18n-dev (>= 5.12.0~),
-               libkf5itemmodels-dev,
-               libkf5kcmutils-dev (>= 5.12.0~),
-               libkf5kdelibs4support-dev (>= 5.12.0~),
-               libkf5newstuff-dev (>= 5.12.0~),
-               libkf5notifications-dev (>= 5.12.0~),
-               libkf5notifyconfig-dev (>= 5.12.0~),
-               libkf5people-dev (>= 5.12.0~),
-               libkf5runner-dev (>= 5.12.0~),
-               libkf5sysguard-dev (>= 4:5.5.5~),
-               libkf5wallet-dev (>= 5.12.0~),
+               libibus-1.0-dev,
+               libkf5activities-dev (>= 5.24.0~),
+               libkf5activitiesstats-dev (>= 5.24.0~),
+               libkf5attica-dev (>= 5.24.0~),
+               libkf5auth-dev (>= 5.24.0~),
+               libkf5config-dev (>= 5.24.0~),
+               libkf5coreaddons-dev (>= 5.24.0~),
+               libkf5dbusaddons-dev (>= 5.24.0~),
+               libkf5declarative-dev (>= 5.24.0~),
+               libkf5emoticons-dev (>= 5.24.0~),
+               libkf5globalaccel-dev (>= 5.24.0~),
+               libkf5guiaddons-dev (>= 5.24.0~),
+               libkf5i18n-dev (>= 5.24.0~),
+               libkf5itemmodels-dev (>= 5.24.0~),
+               libkf5kcmutils-dev (>= 5.24.0~),
+               libkf5kdelibs4support-dev (>= 5.24.0~),
+               libkf5newstuff-dev (>= 5.24.0~),
+               libkf5notifications-dev (>= 5.24.0~),
+               libkf5notifyconfig-dev (>= 5.24.0~),
+               libkf5people-dev (>= 5.24.0~),
+               libkf5runner-dev (>= 5.24.0~),
+               libkf5sysguard-dev (>= 4:5.7.5~),
+               libkf5wallet-dev (>= 5.24.0~),
                libpackagekitqt5-dev,
                libphonon4qt5-dev (>= 4.6.60),
                libphonon4qt5experimental-dev,
                libpulse-dev (>= 0.9.16),
-               libqt5svg5-dev (>= 5.4.0~),
-               libqt5x11extras5-dev (>= 5.4.0~),
+               libqt5svg5-dev (>= 5.6.1~),
+               libqt5x11extras5-dev (>= 5.6.1~),
                libudev-dev,
                libusb-dev,
                libx11-dev,
                libxapian-dev,
                libxcb-image0-dev,
+               libxcb-keysyms1-dev,
                libxcb-record0-dev,
                libxcb-shm0-dev,
                libxcb-xkb-dev,
@@ -60,10 +63,11 @@
                libxkbfile-dev,
                openbox,
                pkg-kde-tools (>= 0.15.18~),
-               plasma-framework-dev (>= 5.12.0~),
-               plasma-workspace-dev (>= 4:5.5.5~),
-               qtbase5-dev (>= 5.4.0~),
-               qtdeclarative5-dev (>= 5.4.0~),
+               plasma-framework-dev (>= 5.24.0~),
+               plasma-workspace-dev (>= 4:5.7.5~),
+               qtbase5-dev (>= 5.6.1~),
+               qtdeclarative5-dev (>= 5.6.1~),
+               scim-dev,
                xauth,
                xserver-xorg-dev,
                xserver-xorg-input-evdev-dev,
@@ -71,8 +75,8 @@
                xvfb
 Standards-Version: 3.9.6
 Homepage: https://projects.kde.org/projects/kde/workspace/plasma-desktop
-Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/plasma/plasma-desktop.git
-Vcs-Git: git://anonscm.debian.org/pkg-kde/plasma/plasma-desktop.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/plasma-desktop
+Vcs-Git: git://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/plasma-desktop
 
 Package: plasma-desktop-dev
 Section: devel
@@ -99,7 +103,6 @@
 Architecture: any
 Depends: baloo-kf5,
          breeze,
-         kactivities,
          kde-cli-tools,
          kded5,
          kio,
@@ -119,9 +122,9 @@
          ${misc:Depends},
          ${shlibs:Depends}
 Recommends: bluedevil,
-            discover | muon-discover,
             fonts-noto,
             fonts-oxygen,
+            gtk3-engines-breeze,
             kde-config-gtk-style,
             kde-config-screenlocker,
             kde-config-sddm,
@@ -137,30 +140,33 @@
             ksysguard,
             kwin,
             kwrited,
-            muon-notifier,
-            muon-updater,
             libpam-kwallet5,
+            plasma-discover,
             plasma-pa,
             powerdevil,
             sni-qt,
             systemsettings,
             user-manager
 Breaks: baloo-kf5 (<< 5.5),
+        kactivities (<< 5.21),
         kde-config-touchpad (<< 4:5),
         kde-touchpad (<< 5.1.95~),
         kde-workspace-bin,
         kde-workspace-data,
         plasma-desktop-data (<< 4:5.3.2-0ubuntu1~),
         plasma-desktop-dev (<< 4:5.0.2-0ubuntu1~ubuntu14.10~ppa8),
-        plasma-widget-kimpanel
+        plasma-widget-kimpanel,
+        plasma-widgets-addons (<< 4:5.6.0~)
 Replaces: baloo-kf5 (<< 5.5),
+          kactivities (<< 5.21),
           kde-config-touchpad (<< 4:5),
           kde-touchpad (<< 5.1.95~),
           kde-workspace-bin,
           kde-workspace-data,
           plasma-desktop-data (<< 4:5.3.2-0ubuntu1~),
           plasma-desktop-dev (<< 4:5.0.2-0ubuntu1~ubuntu14.10~ppa8),
-          plasma-widget-kimpanel
+          plasma-widget-kimpanel,
+          plasma-widgets-addons (<< 4:5.6.0~)
 Conflicts: kde-workspace-bin
 Description: Tools and widgets for the desktop
  Plasma Desktop offers a beautiful looking desktop
@@ -188,20 +194,6 @@
  This package is part of the KDE Plasma.
 
 Package: libkfontinstui5
-Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}
-Description: Tools and widgets for the desktop library
- Plasma Desktop offers a beautiful looking desktop
- that takes complete advantage of modern computing technology.
- Through the use of visual effects and scalable graphics,
- the desktop experience is not only smooth but also pleasant
- to the eye. The looks of Plasma Desktop not only provide beauty,
- they are also used to support and improve your computer
- activities effectively, without being distracting.
- .
- This package is part of the KDE Plasma.
-
-Package: libkf5activitiesexperimentalstats1
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: Tools and widgets for the desktop library
@@ -224,19 +216,25 @@
             qml-module-org-kde-kwindowsystem,
             qml-module-qtquick-dialogs
 Breaks: baloo-kf5 (<< 5.5),
+        kactivities (<< 5.21),
         kde-config-touchpad (<< 4:5),
         kde-touchpad (<< 5.1.95~),
         kde-workspace-bin,
         kde-workspace-data,
         plasma-desktop-dev (<< 4:5.0.2-0ubuntu1~ubuntu14.10~ppa8),
+        plasma-widgets-addons (<< 4:5.6.0~),
         ${kde-l10n:all}
+        kactivites (<< 5.18.0~)
 Replaces: baloo-kf5 (<< 5.5),
+          kactivities (<< 5.21),
           kde-config-touchpad (<< 4:5),
           kde-touchpad (<< 5.1.95~),
           kde-workspace-bin,
           kde-workspace-data,
           plasma-desktop-dev (<< 4:5.0.2-0ubuntu1~ubuntu14.10~ppa8),
+          plasma-widgets-addons (<< 4:5.6.0~),
           ${kde-l10n:all}
+          kactivities (<< 5.18.0~)
 Description: Tools and widgets for the desktop data files
  Plasma Desktop offers a beautiful looking desktop
  that takes complete advantage of modern computing technology.

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #!/usr/bin/make -f
 # -*- makefile -*-
 
-l10npkgs_firstversion_ok := 4:15.08.3-0ubuntu2~
+l10npkgs_firstversion_ok := 4:15.12.3-0ubuntu3~
 
 DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
 ifneq (,$(filter $(DEB_HOST_ARCH), mips mipsel))
